# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Configuration for the one-user-system user module.
#

defaultGroups:
    - name: users
      must_exist: true
      system: true
    - lp
    - video
    - network
    - storage
    - name: wheel
      must_exist: false
      system: true
    - audio

sudoersGroup:    wheel

autologinGroup:  autologin

sudoersConfigureWithGroup: true

setRootPassword: true

doReusePassword: true

doAutologin:     true


passwordRequirements:
    minLength: -1  # Password at least this many characters
    maxLength: -1  # Password at most this many characters
    libpwquality:
        - minlen=0
        - minclass=0


allowWeakPasswordsDefault: true


user:
  shell: /bin/fish
  forbidden_names: [ root ]


hostname:
  location: EtcFile
  writeHostsFile: true
  template: "KAB-${first}"
  forbidden_names: [ localhost ]


allowActiveDirectory: false

presets:
    fullName:
        # value: "OEM User"
        editable: true
    loginName:
        # value: "oem"
        editable: true